<?php
/**
 * File: $Id$
 *
 * Authfud Administrative Display Functions
 *
 */

/**
 * This is a standard function to modify the configuration parameters of the
 * module
 */
function authfud_admin_modifyconfig()
{
    // Security check
    if(!xarSecurityCheck('AdminAuthfud')) return;

    // Generate a one-time authorisation code for this operation
    $data['authid'] = xarSecGenAuthKey();

    
    // prepare labels and values for display by the template
    $data['server'] = xarVarPrepForDisplay(xarModGetVar('authfud','server'));
    $data['dbtype'] = xarVarPrepForDisplay(xarModGetVar('authfud','dbtype'));
    if ($data['dbtype'] == '')
        $data['dbtype'] = 'mysql';
    $data['database'] = xarVarPrepForDisplay(xarModGetVar('authfud','database'));
    $data['username'] = xarVarPrepForDisplay(xarModGetVar('authfud','username'));
    $data['password'] = xarVarPrepForDisplay(xarModGetVar('authfud','password'));
    $data['prefix'] = xarVarPrepForDisplay(xarModGetVar('authfud','prefix'));
//  $data['forumroot'] = xarVarPrepForDisplay(xarModGetVar('authfud','forumroot'));
    
    // prepare labels and values for display by the template
    $data['title'] = xarVarPrepForDisplay(xarML('Administration'));
    $data['configadmin'] = xarVarPrepForDisplay(xarML('Configure Authfud'));
    $data['adduser'] = xarVarPrepForDisplay(xarML('Add fud User to Xaraya Database on Login'));
    $data['adduserhelp'] = xarVarPrepForDisplay(xarML('If a user has been authenticated by the fud but does not have a login account to Xaraya, the user will not be able to login. By selecting this option, a user that has been authenticated by the fud will be automatically added to the Xaraya database and allowed to login.'));
    if (xarModGetVar('authfud', 'add_user') == 'true') {
        $data['adduservalue'] = 'checked';
    } else {
        $data['adduservalue'] = '';
    }
    $data['submitbutton'] = xarVarPrepForDisplay(xarML('Update Authfud Configuration'));

    // Get groups
    $data['defaultgrouplabel'] = xarVarPrepForDisplay(xarML('Default Group'));
    $data['defaultgroup'] = xarModGetVar('authfud', 'defaultgroup');

    // Get default users group
    if (!isset($data['defaultgroup'])) {
        // See if Users role exists
        if ( xarFindRole("Users"))
            $data['defaultgroup'] = 'Users';
    }

    // Get the list of groups
    if (!$groupRoles = xarGetGroups()) return; // throw back

    $i=0;
    while (list($key,$group) = each($groupRoles)) {
        $groups[$i]['name'] = xarVarPrepForDisplay($group['name']);
        $i++;
    }
    $data['groups'] = $groups;

    $data['forumurl'] = xarVarPrepForDisplay(xarModGetVar('authfud','forumurl'));

    // Send the values to the template
    return $data;
}

?>