<?php
/**
 * File: $Id$
 *
 * Authfud Administrative Display Functions
 *
 */

/**
 * Update the configuration parameters of the
 * module given the information passed back by the modification form
 */
function authfud_admin_updateconfig()
{
    // Get parameters

    list(
         $adduser,
         $defaultgroup,
         $server,
         $dbtype,
         $database,
         $username,
         $password,
         $prefix,
         $forumurl,
         $activate
        ) = xarVarCleanFromInput(
                                 'adduser',
                                 'defaultgroup',
                                 'server',
                                 'dbtype',
                                 'database', 
                                 'username', 
                                 'password', 
                                 'prefix',
                                 'forumurl',
                                 'activate'
                                );

    // Confirm authorisation code
    if (!xarSecConfirmAuthKey()) return;

    // update the data
    if(!$adduser) {
        xarModSetVar('authfud', 'add_user', 'false');
    } else {
        xarModSetVar('authfud', 'add_user', 'true');
    }

    // Get default users group
    if (!isset($defaultgroup)) {
        // See if Users role exists
        if( xarFindRole("Users"))
            $defaultgroup = 'Users';
    }
    // update config
    xarModSetVar('authfud', 'defaultgroup', $defaultgroup);
    if ($dbtype == '')
        $dbtype = 'mysql';

    xarModSetVar('authfud', 'server', $server);
    xarModSetVar('authfud', 'dbtype', $dbtype);
    xarModSetVar('authfud', 'database', $database);
    xarModSetVar('authfud', 'username', $username);
    xarModSetVar('authfud', 'password', $password);
    xarModSetVar('authfud', 'prefix', $prefix);
    xarModSetVar('authfud', 'forumurl', $forumurl);

    $authmodules = xarConfigGetVar('Site.User.AuthenticationModules');
    if (empty($activate) && in_array('authfud', $authmodules)) {
        $newauth = array();
        foreach ($authmodules as $module) {
            if ($module != 'authfud') {
                $newauth[] = $module;
            }
        }
        xarConfigSetVar('Site.User.AuthenticationModules', $newauth);
    } elseif (!empty($activate) && !in_array('authfud', $authmodules)) {
        $newauth = array();
        foreach ($authmodules as $module) {
            if ($module == 'authsystem') {
                $newauth[] = 'authfud';
            }
            $newauth[] = $module;
        }
        xarConfigSetVar('Site.User.AuthenticationModules', $newauth);
    }

    // and refresh display
    xarResponseRedirect(xarModURL('authfud', 'admin', 'modifyconfig'));

    // Return
    return true;
}

?>