<?php
/**
 * File: $Id$
 *
 * Authfud Initialisation
 *
 */

/**
 * Initialisation function
*/
function authfud_init()
{
    // ToDo: sanity check

    // ToDo: Set up module variables
    xarModSetVar('authfud', 'add_user', 'true');
    xarModSetVar('authfud', 'defaultgroup', 'Users');
    xarModSetVar('authfud', 'server', 'localhost');
    xarModSetVar('authfud', 'database', 'fud');
    xarModSetVar('authfud', 'username', 'root');
    xarModSetVar('authfud', 'password', '');
    xarModSetVar('authfud', 'prefix', 'fud_');
    xarModSetVar('authfud', 'dbtype', 'mysql');

    xarModSetVar('authfud', 'forumurl', 'http://my.domain/forum');

    // Register blocks
    if (!xarModAPIFunc('blocks', 'admin', 'register_block_type', array('modName' => 'authfud', 'blockType' => 'fudlogin')))
        return;

    // Define mask definitions for security checks
    xarRegisterMask('AdminAuthfud', 'All', 'authfud', 'All', 'All', 'ACCESS_ADMIN');
    xarRegisterMask('ReadAuthfud', 'All', 'authfud', 'All', 'All', 'ACCESS_READ');

    // Do not add authfud to Site.User.AuthenticationModules in xar_config_vars here
/*
    $authModules = xarConfigGetVar('Site.User.AuthenticationModules');
    $authModules[] = 'authfud';

    // Sort array so authfud is before authsystem
    sort($authModules);

    xarConfigSetVar('Site.User.AuthenticationModules',$authModules);
*/

    // Initialization successful
    return true;
}

/**
 * module removal function
 */
function authfud_delete()
{
    // ToDo: remove config vars
    xarModDelVar('authfud', 'add_user');
    xarModDelVar('authfud', 'defaultgroup');
    xarModDelVar('authfud', 'dbtype');
    xarModDelVar('authfud', 'server');
    xarModDelVar('authfud', 'database');
    xarModDelVar('authfud', 'username');
    xarModDelVar('authfud', 'password');
    xarModDelVar('authfud', 'forumurl');

    // Register blocks
    if (!xarModAPIFunc('blocks',
                       'admin',
                       'unregister_block_type',
                       array('modName'  => 'authfud',
                             'blockType'=> 'fudlogin'))) return;

    // Remove authfud to Site.User.AuthenticationModules in xar_config_vars
    $authModules = xarConfigGetVar('Site.User.AuthenticationModules');
    $authModulesUpdate = array();

    // Loop through current auth modules and remove 'authfud'
    foreach ($authModules as $authType) {
        if ($authType != 'authfud')
            $authModulesUpdate[] = $authType;
    }
    xarConfigSetVar('Site.User.AuthenticationModules',$authModulesUpdate);

    // Deletion successful
    return true;
}
?>